package com.ippon.pouet.service;

import com.ippon.pouet.common.domain.error.ErrorStatus;
import com.ippon.pouet.common.domain.error.PouetException;

public class InvalidPasswordException extends PouetException {

  public InvalidPasswordException() {
    super(
      PouetException.builder(UserMessage.INVALID_PASSWORD).status(ErrorStatus.BAD_REQUEST).message("A user entered an invalid password")
    );
  }
}
